Overview | Package | Class | Tree | Deprecated | Index | Help
| bea Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## theory.smart.foundation
Class BusinessSmartWorkAreaImpl

    java.lang.Object
      |
      +--theory.smart.foundation.EntityImpl
            |
            +--theory.smart.foundation.BusinessSmartWorkAreaImpl

public class BusinessSmartWorkAreaImpl
extends EntityImpl

The home interface for the BusinessSmartWorkArea entity bean. Use this class to create, remove, and find BusinessSmartWorkArea entity beans. BusinessSmartWorkArea is an internal entity bean that provides system storage for BusinessSmartEngine. No one should use this bean directly.

     Primary Key = theory.smart.foundation.BusinessSmartWorkAreaPk

See Also:
  `BusinessSmartWorkArea`, `BusinessSmartWorkAreaHome`, `BusinessSmartWorkAreaValue`, Serialized Form

Field Summary
`java.lang.String` | `identifier` identifier [BusinessSmartWorkArea] <*>------> [`String`] (Primary Key)
`BusinessSmartWorkAreaValue` | `value` value [BusinessSmartWorkArea] <*>------> [`theory.smart.foundation.BusinessSmartWorkAreaValue`]

Fields inherited from class theory.smart.foundation.EntityImpl
`ctx, isDirty, isLoaded`

Constructor Summary
`BusinessSmartWorkAreaImpl()`

Method Summary
`void` | `ejbActivate()` ejbActivate method.
`BusinessSmartWorkAreaPk` | `ejbCreate(BusinessSmartWorkAreaPk businessSmartWorkAreaPk)`
`protected void` | `ejbCreateInitVars(BusinessSmartWorkAreaPk businessSmartWorkAreaPk)`
`java.util.Enumeration` | `ejbFindAll()`
`BusinessSmartWorkAreaPk` | `ejbFindByPrimaryKey(BusinessSmartWorkAreaPk pk)`
`void` | `ejbLoad()` ejbLoad method.
`void` | `ejbPassivate()` ejbPassivate method.
`void` | `ejbPostCreate(BusinessSmartWorkAreaPk businessSmartWorkAreaPk)`
`void` | `ejbRemove()` ejbRemove method.
`void` | `ejbStore()` ejbStore method.
`java.lang.String` | `getIdentifier()`
`BusinessSmartWorkAreaValue` | `getValue()` Get the value of value
`void` | `setEntityContext(EntityContext ctx)` setEntityContext method.
`void` | `setValue(BusinessSmartWorkAreaValue value)` Set the value of value
`void` | `unsetEntityContext()` unsetEntityContext method.

Methods inherited from class theory.smart.foundation.EntityImpl
`ejbCreate, ejbCreateInitVars, ejbPostCreate, getEntityContext, isModified`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### identifier

    public java.lang.String identifier

                        identifier
       [BusinessSmartWorkArea] <*>------> [String] (Primary Key)

### value

    public BusinessSmartWorkAreaValue value

                        value
       [BusinessSmartWorkArea] <*>------> [theory.smart.foundation.BusinessSmartWorkAreaValue]

Constructor Detail

### BusinessSmartWorkAreaImpl

    public BusinessSmartWorkAreaImpl()
                              throws CreateException

Method Detail

### ejbCreate

    public BusinessSmartWorkAreaPk ejbCreate(BusinessSmartWorkAreaPk businessSmartWorkAreaPk)
                                      throws CreateException,
                                             java.rmi.RemoteException

### ejbCreateInitVars

    protected void ejbCreateInitVars(BusinessSmartWorkAreaPk businessSmartWorkAreaPk)
                              throws CreateException,
                                     java.rmi.RemoteException

### ejbPostCreate

    public void ejbPostCreate(BusinessSmartWorkAreaPk businessSmartWorkAreaPk)
                       throws CreateException,
                              java.rmi.RemoteException

### ejbLoad

    public void ejbLoad()
                 throws java.rmi.RemoteException

  Description copied from class: EntityImpl
  ejbLoad method.
  Overrides:
    ejbLoad in class EntityImpl

### ejbStore

    public void ejbStore()
                  throws java.rmi.RemoteException

  Description copied from class: EntityImpl
  ejbStore method.
  Overrides:
    ejbStore in class EntityImpl

### ejbRemove

    public void ejbRemove()
                   throws java.rmi.RemoteException,
                          RemoveException

  Description copied from class: EntityImpl
  ejbRemove method.
  Overrides:
    ejbRemove in class EntityImpl

### ejbActivate

    public void ejbActivate()
                     throws java.rmi.RemoteException

  Description copied from class: EntityImpl
  ejbActivate method.
  Overrides:
    ejbActivate in class EntityImpl

### ejbPassivate

    public void ejbPassivate()
                      throws java.rmi.RemoteException

  Description copied from class: EntityImpl
  ejbPassivate method.
  Overrides:
    ejbPassivate in class EntityImpl

### setEntityContext

    public void setEntityContext(EntityContext ctx)
                          throws java.rmi.RemoteException

  Description copied from class: EntityImpl
  setEntityContext method.
  Overrides:
    setEntityContext in class EntityImpl

### unsetEntityContext

    public void unsetEntityContext()
                            throws java.rmi.RemoteException

  Description copied from class: EntityImpl
  unsetEntityContext method.
  Overrides:
    unsetEntityContext in class EntityImpl

### ejbFindByPrimaryKey

    public BusinessSmartWorkAreaPk ejbFindByPrimaryKey(BusinessSmartWorkAreaPk pk)
                                                throws FinderException,
                                                       java.rmi.RemoteException

### ejbFindAll

    public java.util.Enumeration ejbFindAll()
                                     throws FinderException,
                                            java.rmi.RemoteException

### getIdentifier

    public java.lang.String getIdentifier()
                                   throws java.rmi.RemoteException

### getValue

    public BusinessSmartWorkAreaValue getValue()
                                        throws java.rmi.RemoteException

  Get the value of value
  Returns:
    value.

### setValue

    public void setValue(BusinessSmartWorkAreaValue value)
                  throws java.rmi.RemoteException

  Set the value of value
  Parameters:
    `value` - value to be added

Overview | Package | Class | Tree | Deprecated | Index | Help
| bea Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© Copyright 2000 bea Systems, Inc. All rights reserved.